#include <Arduino_APDS9960.h>

#include "Keyboard.h"


void setup() {
  Serial.begin(9600);
  if (!APDS.begin()) {
    Serial.println("Error initializing APDS9960 sensor!");
  }
  //APDS.setGestureSensitivity(80);
   Keyboard.begin();
  Serial.println("Detecting gestures ...");
}
void loop() {
  if (APDS.gestureAvailable()) {
    // a gesture was detected, read and print to serial monitor
    int gesture = APDS.readGesture();

    switch (gesture) {
      case GESTURE_UP:
        Serial.println("Detected UP gesture");
        Keyboard.write(KEY_UP_ARROW);
        break;

      case GESTURE_DOWN:
        Serial.println("Detected DOWN gesture");
        Keyboard.write(KEY_DOWN_ARROW);
        break;

      case GESTURE_LEFT:
        Serial.println("Detected LEFT gesture");
        Keyboard.write(KEY_LEFT_ARROW);
        break;

      case GESTURE_RIGHT:
        Serial.println("Detected RIGHT gesture");
        Keyboard.write(KEY_RIGHT_ARROW);
        break;

      default:
        // ignore
        break;
    }
  }
}
